Subject: Re: [PATCH] net: dsa: mv88e6xxx: Add missing static to stub functions

From: Andrew Lunn <[email-masked]>
Date: Tue, 30 May 2017 18:50:25 +0200

On Mon, May 29, 2017 at 11:06:51PM +0200, Arnd Bergmann wrote:
> On Mon, May 29, 2017 at 5:30 PM, Andrew Lunn <[email-masked]> wrote:
> > On Mon, May 29, 2017 at 02:56:01PM +0200, Arnd Bergmann wrote:
> >> 'static' was not enough, the helpers must be 'static inline'
> >>
> >> net/dsa/mv88e6xxx/global2.h:123:12: error: 'mv88e6xxx_g2_misc_4_bit_port' defined but not used [-Werror=unused-function]
> >> net/dsa/mv88e6xxx/global2.h:117:12: error: 'mv88e6xxx_g2_pvt_write' defined but not used [-Werror=unused-function]
> >>
> >> Fixes: c21fbe29f858 ("net: dsa: mv88e6xxx: Add missing static to stub functions")
> >> Signed-off-by: Arnd Bergmann <[email-masked]>
> >
> > Hi Arnd
> >
> > Dave merged my fix yesterday.
> 
> Hi Andrew,
> 
> The only commit I see from you in the net/master branch is the partial fix
> I referenced in the 'fixes' line (c21fbe29f858), from all I can tell, my fix is
> still needed on top. Can you check again?

Hi Arnd

Yes, you are correct. Adding the static was enough to stop the 0-day
warnings, but they should also inline.

	  Andrew